Package de.willuhn.jameica.hbci.passports.rdh.rmi

# Interface RDHKey

All Superinterfaces:
  `Configuration`, `de.willuhn.datasource.GenericObject`, `Remote`

All Known Implementing Classes:
  `RDHKeyImpl`

public interface RDHKey extends de.willuhn.datasource.GenericObject, Configuration
Bildet einen importierten oder erstellten RDH-Schluessel in Hibiscus ab.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlias()`
Liefert einen optionalen Alias-Namen fuer den Schluessel.
`String`
`getFilename()`
Liefert Pfad- und Dateiname des Schluessels.
`String`
`getHBCIVersion()`
Liefert die HBCI-Version des Schluessels.
`Konto[]`
`getKonten()`
Liefert eine optionale Liste von hart verdrahteten Konten.
`boolean`
`isEnabled()`
Prueft, ob der Schluessel zum aktiven Datenbestand gehoert und somit benutzt werden kann.
`org.kapott.hbci.passport.HBCIPassport`
`load()`
Liefert den Passport des Schluessels.
`void`
`setAlias(String alias)`
Speichert einen zusaetzlichen Alias-Namen fuer den Schluessel.
`void`
`setEnabled(boolean enabled)`
Aktiviert oder deaktiviert den Schluessel fuer die Verwendung.
`void`
`setFilename(String filename)`
Speichert den Pfad- und Dateinamen des Schluessels.
`void`
`setHBCIVersion(String version)`
Speichert die zu verwendende HBCI-Version.
`void`
`setKonten(Konto[] k)`
Speichert eine optionale Liste von festzugeordneten Konten.

### Methods inherited from interface de.willuhn.jameica.hbci.passport.Configuration

`delete, getConfigDialog, getDescription`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`equals, getAttribute, getAttributeNames, getID, getPrimaryAttribute`

## Method Details

### getFilename

String getFilename() throws RemoteException
Liefert Pfad- und Dateiname des Schluessels.

Returns:
  Pfad- und Dateiname des Schluessels.
Throws:
  `RemoteException`

### setFilename

void setFilename(String filename) throws RemoteException
Speichert den Pfad- und Dateinamen des Schluessels.

Parameters:
  `filename` - Pfad- und Dateiname des Schluessels.
Throws:
  `RemoteException`

### getKonten

Konto[] getKonten() throws RemoteException
Liefert eine optionale Liste von hart verdrahteten Konten. Das ist sinnvoll, wenn der User mehrere Konten bei der gleichen Bank mit unterschiedlichen Dateien hat. Dann wuerde bei jeder Bank-Abfrage ein Dialog zur Auswahl der Datei kommen, weils Hibiscus allein anhand BLZ/Kundenkennung nicht mehr unterscheiden kann.

Returns:
  Liste der optionalen Konten oder `null` BUGZILLA 173 BUGZILLA 314
Throws:
  `RemoteException`

### setKonten

void setKonten(Konto[] k) throws RemoteException
Speichert eine optionale Liste von festzugeordneten Konten. BUGZILLA 173 BUGZILLA 314

Parameters:
  `k` - Liste der Konten.
Throws:
  `RemoteException`

### getHBCIVersion

String getHBCIVersion() throws RemoteException
Liefert die HBCI-Version des Schluessels.

Returns:
  HBCI-Version des Schluessels oder null, wenn noch keine bekannt ist.
Throws:
  `RemoteException`

### setHBCIVersion

void setHBCIVersion(String version) throws RemoteException
Speichert die zu verwendende HBCI-Version.

Parameters:
  `version` - HBCI-Version.
Throws:
  `RemoteException`

### isEnabled

boolean isEnabled() throws RemoteException
Prueft, ob der Schluessel zum aktiven Datenbestand gehoert und somit benutzt werden kann.

Returns:
  true, wenn er verwendet werden kann.
Throws:
  `RemoteException`

### setEnabled

void setEnabled(boolean enabled) throws RemoteException
Aktiviert oder deaktiviert den Schluessel fuer die Verwendung.

Parameters:
  `enabled` - true, wenn der Schluessel aktiv ist
Throws:
  `RemoteException`

### getAlias

String getAlias() throws RemoteException
Liefert einen optionalen Alias-Namen fuer den Schluessel.

Returns:
  Alias-Name.
Throws:
  `RemoteException`

### setAlias

void setAlias(String alias) throws RemoteException
Speichert einen zusaetzlichen Alias-Namen fuer den Schluessel.

Parameters:
  `alias` - Alias-Name.
Throws:
  `RemoteException`

### load

org.kapott.hbci.passport.HBCIPassport load() throws RemoteException, de.willuhn.util.ApplicationException, de.willuhn.jameica.system.OperationCanceledException
Liefert den Passport des Schluessels.

Returns:
  der Passport.
Throws:
  `RemoteException`
  `de.willuhn.util.ApplicationException`
  `de.willuhn.jameica.system.OperationCanceledException`